<template>
  <div>
    <div
      class="p-2"
      v-on:click="collapse = !collapse"
      v-bind:class="{
        'border-bottom': collapse && perfil == 'admin'
      }"
    >
      <div class="d-flex justify-content-between align-items-center">
        <p class="text--gray font-small font-bold mb-0">{{ category.name }}</p>
        <router-link
          :to="{ name: 'categories-registry', params: { obj: category } }"
          v-if="true"
          class="btn btn-info"
          >Editar</router-link
        >
      </div>
    </div>
    <div v-if="collapse">
      <div
        class="p-2 ml-2 mr-2 border-left border-right border-bottom bg-gray-10 rounded-0"
        v-for="(subcategory, index) of category.subcategories"
        v-bind:class="{
          'mb-2': index == category.subcategories.length - 1,
          'border-top': index == 0
        }"
        :key="subcategory.id"
      >
        <div class="d-flex justify-content-between align-items-center">
          <p class="text--gray font-small font-bold mb-0">
            {{ subcategory.name }}
          </p>
          <router-link
            :to="{ name: 'categories-registry', params: { obj: subcategory } }"
            v-if="true"
            class="btn btn-info"
            >Editar</router-link
          >
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "card-category",
  data() {
    return {
      collapse: false
    };
  },
  props: {
    category: {
      type: Object,
      required: true
    },
    perfil: {
      type: String,
      default: "avaliando"
    }
  }
};
</script>
